Bug 1536144 - [RFE] [Ansible Embedded] - Data in 'Updated on' column are not changing after repo refresh
Summary: [RFE] [Ansible Embedded] - Data in 'Updated on' column are not changing after...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Robin Knaur
QA Contact: Satyajit Bulage
URL:
Whiteboard: ui:ansible_embed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-18 17:12 UTC by Pavol Kotvan
Modified: 2019-02-07 23:01 UTC (History)
14 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:57 UTC
Category: Bug
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Comment 4 Sudhir Mallamprabhakara 2018-01-19 15:26:15 UTC
Removing Regression keyword.
maybe an RFE??

Comment 5 James Wong 2018-01-25 22:06:08 UTC
Pavol,

The `updated_on` is showing the correct and expected result - it (and the `created_on` in the corresponding db table) is about the repo db object itself.

To show the last updated time from Tower, it would require a db schema change to add a column `last_updated_on` to store what we retrieve from Tower. 

(So this is likely next major release).

James

Comment 7 James Wong 2018-02-19 14:50:17 UTC
(In reply to CFME Bot from comment #6)
> https://github.com/ManageIQ/manageiq/pull/16825

Sorry, ignore this, wrong PR

Comment 8 James Wong 2018-02-19 21:12:34 UTC
Martin,

I am working on backend changes to collect and store to a new column "last_updated_on".  UI would need changes to consume this new column.  Please see if you guys want to create a new BZ for UI work or not.

Comment 12 Robin Knaur 2018-02-20 13:09:05 UTC
James,

When your backend PR will be merged, I will do the UI part as a part of this BZ.

Thanks,
Robin

Comment 13 CFME Bot 2018-02-26 18:09:58 UTC
New commit detected on ManageIQ/manageiq-schema/master:
https://github.com/ManageIQ/manageiq-schema/commit/889682406af5d8a366a850aec43c6522133ab913

commit 889682406af5d8a366a850aec43c6522133ab913
Author:     James Wong <webpotent@gmail.com>
AuthorDate: Mon Feb 19 10:11:12 2018 -0500
Commit:     James Wong <webpotent@gmail.com>
CommitDate: Mon Feb 19 16:15:00 2018 -0500

    Add last_updated_on to configuration_script_sources
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1536144

 ...80219151037_add_last_updated_on_to_configuration_script_source.rb | 5 +++++
 1 file changed, 5 insertions(+)
 create mode 100644 db/migrate/20180219151037_add_last_updated_on_to_configuration_script_source.rb

Comment 14 CFME Bot 2018-03-02 16:01:39 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/811f3390c427423b72c634895cc08979205f75d1

commit 811f3390c427423b72c634895cc08979205f75d1
Author:     James Wong <jwong@redhat.com>
AuthorDate: Mon Feb 19 16:07:41 2018 -0500
Commit:     James Wong <jwong@redhat.com>
CommitDate: Mon Feb 19 16:08:23 2018 -0500

    ConfigurationScriptSource to have last_updated_on column
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1536144

 app/models/manager_refresh/inventory/core.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 15 CFME Bot 2018-03-02 17:25:19 UTC
New commit detected on ManageIQ/manageiq-providers-ansible_tower/master:
https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/b90cf62e227ec5c19d8f30d4e883bf0cf28a72c9

commit b90cf62e227ec5c19d8f30d4e883bf0cf28a72c9
Author:     James Wong <webpotent@gmail.com>
AuthorDate: Mon Feb 19 14:06:47 2018 -0500
Commit:     James Wong <webpotent@gmail.com>
CommitDate: Mon Feb 19 16:57:50 2018 -0500

    Tower repo last_updated_on
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1536144

 .../ansible_tower/shared/inventory/parser/automation_manager.rb          | 1 +
 .../automation_manager/refresh_configuartion_script_source.rb            | 1 +
 2 files changed, 2 insertions(+)

Comment 16 James Wong 2018-03-02 22:08:02 UTC
Robin, backend code is merged. you can take it from here.

james

Comment 18 CFME Bot 2018-03-16 15:50:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/094a58e3084146e4be48333358b2d06365281cf2
commit 094a58e3084146e4be48333358b2d06365281cf2
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Mon Mar  5 08:10:11 2018 -0500
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Mon Mar  5 08:10:11 2018 -0500

    Change column title from "Updated on" to "Last refreh"
    https://bugzilla.redhat.com/show_bug.cgi?id=1536144

 product/views/ManageIQ_Providers_EmbeddedAutomationManager_ConfigurationScriptSource.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 19 Satyajit Bulage 2018-11-27 16:12:02 UTC
Able to see the 'Last refresh on' column data is updated after initiating "Refresh selected Ansible Repositories". 

Verified Version: 5.10.0.25.20181120211723_d2fd659

Comment 20 errata-xmlrpc 2019-02-07 23:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.